//
// Created by sasha on 12.12.2025.
//

#ifndef RU_DANSOFT_PUZZLE15_ISCREEN_H
#define RU_DANSOFT_PUZZLE15_ISCREEN_H


#include "engine/engine_typedef.h"
#include "engine/widgets/iwidget.h"

class IScreen : public IWidget {
public:
    IScreen(const std::string &name);
    virtual ~IScreen();

    void setBackgroundColor(Uint8 r, Uint8 g, Uint8 b);
    SDL_Color getBackgroundColor();

    virtual void iterate();
    virtual void onActive(const VariantMap &args);

private:
    std::string screen_name;

    SDL_Color backgroundColor;

};


#endif //RU_DANSOFT_PUZZLE15_ISCREEN_H
